Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Sapphire » Build Error(Sapphire Build Locally)
Build Error [message #723401] Thu, 08 September 2011 13:23 Go to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
I checked out the latest code form Sapphire CVS repository and when I executed the

ant clean-start -Ddownloads=.....

I got the following build failure

Quote:
BUILD FAILED
/home/kamesh/sapphire/sources/org.eclipse.sapphire/build.xml:50: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/org.eclipse.sapphire/build.xml:1192: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/org.eclipse.sapphire/build.xml:907: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/org.eclipse.sapphire/build.xml:867: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/org.eclipse.sapphire/build.xml:869: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/org.eclipse.sapphire/build.xml:1108: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/org.eclipse.sapphire/build.xml:1072: Failed to download /eclipse/downloads/drops4/I20110824-1000/eclipse-4.2-I20110824-1000-repository.zip from Eclipse Foundation.


Any idea how to resolve this ?

Also couple of questions, I see the latest head is tuned for juno-42, so when we develop or contribute code with this it will work form heilos to juno-42 ?

~Kamesh
Re: Build Error [message #723436 is a reply to message #723401] Thu, 08 September 2011 14:45 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
It looks like the build that we were using has been removed. We need to start referencing a newer build. I will not be able to attend to this until a bit later today, but you can make a quick local workaround by taking juno-42 out of the build. Edit build.properties file at branch root. Remove juno-42 from the list of configurations and set configuration.recommended to juno-38.

For 0.4, the development and default target should be Eclipse 4.2 at this point, but commandline build cross-compiles with all Eclipse versions starting with Helios 3.6 to ensure backwards compatibility.

- Konstantin

[Updated on: Thu, 08 September 2011 14:45]

Report message to a moderator

Re: Build Error [message #723441 is a reply to message #723436] Thu, 08 September 2011 14:54 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
Thanks ! yeah i see now its building, actually am migrating my platform to Linux (OpenSUSE x86_64), am not sure what platform you are using but I personally feel its better for us to use different platform so as to enable us to fix any issue surfacing because of the platform

Please update this post once you have done with build.fix, so that i can update it so see how it build with juno-42 - thinking whether that will be required ??
Re: Build Error [message #723442 is a reply to message #723441] Thu, 08 September 2011 14:57 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
I am on Windows 7. It will certainly be good to have you developing on Linux.
icon9.gif  Re: Build Error [message #723555 is a reply to message #723442] Thu, 08 September 2011 19:18 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
Konstantin,

No am getting an error when building R_0_3_X, its unable to download the Graphiti dependencies
Quote:

BUILD FAILED
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:65: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:90: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:152: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:833: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:817: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:1196: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:909: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:868: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:870: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:1112: The following error occurred while executing this line:
/home/kamesh/sapphire/sources/R_0_3_x/org.eclipse.sapphire/build.xml:1076: Failed to download /graphiti/archives/milestones/org.eclipse.graphiti.site_0.8.0RC3.201105270852.zip from Eclipse Foundation.


Any fixes i can do it locally to make this build successfull? as this is stopping my R_0_3_X platform setup which can enable me to work on R_0_3_x based bugs.

~Kamesh
Re: Build Error [message #723559 is a reply to message #723436] Thu, 08 September 2011 19:30 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member

I am getting an very peculiar issue when i pointed it to juno-38 and took dev-eclipse as by IDE for development, i see that is nto having the org.eclipse.ui.editors extension point , the editor defintion in my plugin.xml (test) is complaining
Quote:
No schema found for "org.eclipse.ui.editors" extension point


Let me know what is the issue with this and how to resolve it ?
Re: Build Error [message #723569 is a reply to message #723559] Thu, 08 September 2011 20:46 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
> No schema found for "org.eclipse.ui.editors" extension point

Make sure that you are pointing your target platform at [root]/dev-target. By default, it will point back to dev-eclipse that you are running, which isn't going to work.

- Konstantin
Re: Build Error [message #723571 is a reply to message #723569] Thu, 08 September 2011 20:48 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
> No am getting an error when building R_0_3_X, its unable to download the Graphiti dependencies

I just fixed this. There were some stale references to Graphiti 0.8 RC3.
Re: Build Error [message #723572 is a reply to message #723571] Thu, 08 September 2011 20:48 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
I also updated Eclipse 4.2 build reference. You should be able to revert the workaround and re-build.
Re: Build Error [message #723648 is a reply to message #723572] Fri, 09 September 2011 04:15 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
thanks for both the changes ! much appreciated Smile
Re: Build Error [message #723702 is a reply to message #723648] Fri, 09 September 2011 08:23 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
i right now have the Sapphire environment set up completely on Linux 64-bit and ready to get back to work on the bugs.

On the Juno-42 i see a minor glitch no Mylyn part of it as its not storing the repository properties, how many ever time I give user name and password + repo info its not saving and its getting back to defaults.

If you are using Mylyn, you too getting the same issue ? Though i can add/update/comment on the bugs via browser but I found Mylyn very convenient.

Let me know if you have an work around for this ?

After I took the update from the HEAD and recompiled my code i get two compilation errors on the modeling and modeling.xml, with one being some DocumentationParser error. Thats is preventing me from launching and testing, let me if this will not have any impact on testing then I shall ignore these errors and continue my testing.

[Updated on: Fri, 09 September 2011 09:36]

Report message to a moderator

Re: Build Error [message #723816 is a reply to message #723702] Fri, 09 September 2011 14:49 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
> On the Juno-42 i see a minor glitch no Mylyn part of it as its not storing the repository propertie

I recommend posting a question Mylyn forum. They could have a 4.2 specific bug or it could be an issue with Linux permissions.

> After I took the update from the HEAD and recompiled my code i get two compilation
> errors on the modeling and modeling.xml, with one being some DocumentationParser
> error. Thats is preventing me from launching and testing, let me if this will not
> have any impact on testing then I shall ignore these errors and continue my testing.

The 0.4 stream builds cleanly on Hudson and in my local Eclipse workspace, so the problem is specific to your environment. Try refreshing all projects in your workspaces and doing a clean build. Repeat that a few times. If that doesn't help, there is probably an issue in how you've configured your environment or I suppose there could be sort of Linux specific issue in various code generation hooks.

- Konstantin
Re: Build Error [message #723859 is a reply to message #723816] Fri, 09 September 2011 17:26 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
Konstantin Komissarchik wrote on Fri, 09 September 2011 20:19
> On the Juno-42 i see a minor glitch no Mylyn part of it as its not storing the repository propertie

I recommend posting a question Mylyn forum. They could have a 4.2 specific bug or it could be an issue with Linux permissions.

Yes i did the same and has raised a bug in Mylyn project

> After I took the update from the HEAD and recompiled my code i get two compilation
> errors on the modeling and modeling.xml, with one being some DocumentationParser
> error. Thats is preventing me from launching and testing, let me if this will not
> have any impact on testing then I shall ignore these errors and continue my testing.


The 0.4 stream builds cleanly on Hudson and in my local Eclipse workspace, so the problem is specific to your environment. Try refreshing all projects in your workspaces and doing a clean build. Repeat that a few times. If that doesn't help, there is probably an issue in how you've configured your environment or I suppose there could be sort of Linux specific issue in various code generation hooks.

Thats am thinking of doing, when i did the same in my windows box it seem to work fine, i guess i accidentally knocked off the javacc or javacc folder was not generated in linux. Let me try and keep you posted.



Re: Build Error [message #723992 is a reply to message #723859] Sat, 10 September 2011 08:03 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
I see there are some unstability with the juno-42 and i prefer to use Indigo for my testing and bug fixing purposes, as sometimes juno-42 gives SWT errors when launching the application when is noway related to our app and am not able to see the console output after the plugin is launched

to use indigo all I have to do is to change the build.properties to make the configuration.recommended=indigo, correct ?

Re: Build Error [message #724071 is a reply to message #723992] Sat, 10 September 2011 16:27 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
That will certainly do the trick, but I encourage you to try to use juno-42 as much as you can as 4.2 will be the default platform for the Eclipse Juno release in 2012, so it is important to flush out bugs in the platform and any bugs in platform/Sapphire interraction.

- Konstantin
Re: Build Error [message #724074 is a reply to message #723992] Sat, 10 September 2011 16:24 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
On 09/10/2011 01:33 PM, Kamesh Sampath wrote:
> I see there are some unstability with the juno-42 and i prefer to use
> Indigo for my testing and bug fixing purposes, as sometimes juno-42
> gives SWT errors when launching the application when is noway related to
> our app and am not able to see the console output after the plugin is
> launched
>
> to use indigo all I have to do is to change the build.properties to make
> the configuration.recommended=indigo, correct ?
>
>
i see there is some mylyn feature group missing hence resorted to using
juno-38, am more comfortable with Indigo :), i guess that will not cause
any issue with my patch development and testing.

~Kamesh
Re: Build Error [message #724080 is a reply to message #724071] Sat, 10 September 2011 17:10 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
On 09/10/2011 09:57 PM, Konstantin Komissarchik wrote:
> That will certainly do the trick, but I encourage you to try to use
> juno-42 as much as you can as 4.2 will be the default platform for the
> Eclipse Juno release in 2012, so it is important to flush out bugs in
> the platform and any bugs in platform/Sapphire interraction.
>
> - Konstantin
yeah i see it ! ok let me try to work on juno-42, but i see the platform
being launched but i see its throwing lots of SWT errors before its
launched.. do you feel we need to log those bugs in eclipse ?
Re: Build Error [message #724081 is a reply to message #724080] Sat, 10 September 2011 17:17 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
Yes, I would look at stack traces that are logged and try to open bugs to appropriate projects.
Re: Build Error [message #724086 is a reply to message #724081] Sat, 10 September 2011 17:32 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
On 09/10/2011 10:47 PM, Konstantin Komissarchik wrote:
> Yes, I would look at stack traces that are logged and try to open bugs
> to appropriate projects.
great thanks! i shall post it you and you can validate and raise the same.
Re: Build Error [message #724242 is a reply to message #724071] Sun, 11 September 2011 17:21 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
On 09/10/2011 09:57 PM, Konstantin Komissarchik wrote:
> That will certainly do the trick, but I encourage you to try to use
> juno-42 as much as you can as 4.2 will be the default platform for the
> Eclipse Juno release in 2012, so it is important to flush out bugs in
> the platform and any bugs in platform/Sapphire interraction.
>
> - Konstantin

I took an update of the HEAD and started to build a clean copy (wiped all existing or previous downloads) with
juno-42 on my Linux (Open SUSE 11.4 64-bit, JDK7) am now getting the
following error
" [java] Cannot complete the install because of a conflicting
dependency.
[java] Software being installed: Sapphire SDK 0.4.0.201109112237
(org.eclipse.sapphire.sdk.feature.group 0.4.0.201109112237)
[java] Software currently installed: Sapphire SDK
0.4.0.201109102246 (org.eclipse.sapphire.sdk.feature.group
0.4.0.201109102246)
[java] Only one of the following can be installed at once:
[java] Sapphire Documentation 0.4.0.201109102246
(org.eclipse.sapphire.doc 0.4.0.201109102246)
[java] Sapphire Documentation 0.4.0.201109112237
(org.eclipse.sapphire.doc 0.4.0.201109112237)
[java] Cannot satisfy dependency:
[java] From: Sapphire SDK 0.4.0.201109102246
(org.eclipse.sapphire.sdk.feature.group 0.4.0.201109102246)
[java] To: org.eclipse.sapphire.doc [0.4.0.201109102246]
[java] Cannot satisfy dependency:
[java] From: Sapphire SDK 0.4.0.201109112237
(org.eclipse.sapphire.sdk.feature.group 0.4.0.201109112237)
[java] To: org.eclipse.sapphire.doc [0.4.0.201109112237]
[java] Application failed, log file location:
/home/kamesh/sapphire/sources/latest/org.eclipse.sapphire/build/bootstrap/configuration/1315761401367.log
[java]

BUILD FAILED
/home/kamesh/sapphire/sources/latest/org.eclipse.sapphire/build.xml:643:
The following error occurred while executing this line:
/home/kamesh/sapphire/sources/latest/org.eclipse.sapphire/build.xml:1226: The
following error occurred while executing this line:
/home/kamesh/sapphire/sources/latest/org.eclipse.sapphire/build.xml:1249: The
following error occurred while executing this line:
/home/kamesh/sapphire/sources/latest/org.eclipse.sapphire/build.xml:1256: Java
returned: 13
"
I preceieve that its not a platform or jdk issue.

Can you please let me know how to resolve the same ?

~Kamesh

[Updated on: Sun, 11 September 2011 17:23]

Report message to a moderator

Re: Build Error [message #724509 is a reply to message #724242] Mon, 12 September 2011 13:52 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
I am not sure what would cause this type of failure. What build target did you run? Try "ant clean-start" and make sure that you do not have apps, shells, etc. open that reference build directories as that would interfere with build's ability to manipulate files and can lead to bizarre failures.

- Konstantin
Re: Build Error [message #724637 is a reply to message #724509] Mon, 12 September 2011 17:50 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
it worked now Smile , the only thing that would have caused the possible build issue was that i was having a shortcut to the eclipse(dev-eclipse/eclipse) on my desktop.

Ideally can we not make the build robust which will prevent these kind of weird errors ? why it should break for having a desktop shortcut referring to the path ?

~Kamesh
Re: Build Error [message #724654 is a reply to message #724637] Mon, 12 September 2011 18:26 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
I have not heard of shortcuts locking resources that they reference. It could be something else entirely that changed in your environment and you haven't identified as related. In either case, when the build fails during file I/O, there is nothing that we can do to make the build more "robust". Avoiding issues like this is between you and your operating system.

- Konstantin
Re: Build Error [message #724673 is a reply to message #724654] Mon, 12 September 2011 19:02 Go to previous messageGo to next message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
On 09/12/2011 11:56 PM, Konstantin Komissarchik wrote:
> I have not heard of shortcuts locking resources that they reference. It
> could be something else entirely that changed in your environment and
> you haven't identified as related. In either case, when the build fails
> during file I/O, there is nothing that we can do to make the build more
> "robust". Avoiding issues like this is between you and your operating
> system.
>
> - Konstantin

thanks for putting this across, but then i just put my point forth just
to make sure that we could identify similar issues in the build and iron
it out so that these build issues wont arise.
~Kamesh

[Updated on: Mon, 12 September 2011 19:29]

Report message to a moderator

Re: Build Error [message #724677 is a reply to message #724673] Mon, 12 September 2011 19:21 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
Kamesh,

As I've stated to you previously, you are reading far too much into statements of others. You stated that you wish to see the build be made more robust. I clarified that this wasn't an issue with the build, but rather an OS-controlled file system locking behavior. Nothing beyond that was stated or intended. You flared up in response to that with some rather nasty statements. If you keep doing that, you will have hard time being an effective contributor to this project.

- Konstantin
icon8.gif  Re: Build Error [message #724680 is a reply to message #724677] Mon, 12 September 2011 19:36 Go to previous message
Kamesh Sampath is currently offline Kamesh Sampath
Messages: 213
Registered: July 2009
Senior Member
Thanks!!! respecting your words i backtracked my statements respecting your words and the forum.

[Updated on: Mon, 12 September 2011 23:09]

Report message to a moderator

Previous Topic:Sapphire at EclipseCon Europe 2011
Next Topic:Various Target Platforms
Goto Forum:
  


Current Time: Thu Oct 02 08:43:21 GMT 2014

Powered by FUDForum. Page generated in 0.02811 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software